from django.test import TestCase
from apps.hrm.models import Employee
from apps.hrm.services import HrmService

from apps.vm.models import Visit

# Create your tests here.


class VisitTest(TestCase):
    def test_audit_end(self):
        v = Visit.objects.get(id='1547401054033940480')
        ep = Employee.objects.get(id='1547406632055607296')
        HrmService.sync_dahua_employee(ep, '', v.visit_time, v.leave_time)
